SDL_GetBooleanProperty(3)

NAME
SDL_GetBooleanProperty - Get a boolean property on a set of properties.

HEADER FILE
Defined in SDL3/SDL_properties.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_bool SDL_GetBooleanProperty(SDL_PropertiesID props, const char *name, SDL_bool default_value);

DESCRIPTION
You can use SDL_GetPropertyType () to query whether the property exists and is a boolean property.

FUNCTION PARAMETERS

props
    the properties to query

name
    the name of the property to query

default_value
    the default value of the property

RETURN VALUE
Returns the value of the property, or default_value if it is not set or not a float property.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetPropertyType(3), SDL_HasProperty(3), SDL_SetBooleanProperty(3)